WiKi incomplet / vague / eronné? > Mise à jour serveur

Question about WAPT Server / Requêtes et aides autour du serveur Wapt
Règles du forum
* Questions can be asked in English or in French. If the thread is started in English, stick to English, if it is started in French, stick to French.
* Vous pouvez poser vos questions en Français ou en Anglais. Si un sujet est commencé en français, merci de répondre en français. Si un sujet est commencé en anglais, merci de répondre en anglais.
renaud.counhaye
Messages : 26
Inscription : 13 déc. 2017 - 11:45

25 oct. 2018 - 14:48

Bonjour à tous (encore moi),

J'aimerais comprendre pourquoi la mise à jour serveur n'est pas si simple finalement.
Sur le Wiki :
https://www.wapt.fr/fr/doc-1.6/waptserv ... ebian.html
apt-get update && apt-get upgrade
apt-get install apt-transport-https lsb-release
wget -O - https://wapt.tranquil.it/debian/tiswapt-pub.gpg | apt-key add -
echo "deb https://wapt.tranquil.it/debian/wapt-1.6/ $(lsb_release -c -s) main" > /etc/apt/sources.list.d/wapt.list
pourquoi ne pas ajouter définitivement le depot TranquilIT au debian ? Il me semble que ça le fait pas ici...

Ensuite vous écrivez :
Si vous upgradez votre distribution avec apt-get dist-upgrade, veillez à mettre à jour votre lsb_release dans /etc/apt/sources.list.d/wapt.list, (exemple : jessie -> stretch).

apt-get update apt-get install tis-waptserver tis-waptsetup
ce qui fait que la partie apt-get update apt-get install tis-waptserver tis-waptsetup est un peu "cachée" du reste.
En plus la syntaxe de la commande est incorrecte.... ça pousse a exécuter la commande entière, qui n'est pas correcte.
Faire un apt-get update et ensuite un apt-get upgrade serais plus logique, mais ici on parle de apt-get install (surement parce que le dépot TranquilIT de WAPT n'est pas dans la liste?) (suis pas un Linuxiens non plus)

Enfin j'étais précédement sur une version 1.5 et du update vers la 1.6, la documentation pour la mise à jour est manquante :
Mise à jour de 1.5 vers 1.6
La mise à jour s’effectue comme une mise à jour mineure.

Si vous êtes en Debian Jessie, il recommandé d’upgrader en Debian Strech. Cela est obligatoire pour la version Enterprise avec le support Windows Update. Lors de la mise à jour en Debian Stretch, la base PostgreSQL devra être montée de version en 9.6.
Aucune indiquation, ce qui porte a croire qu'un simple 'apt-get update, puis apt-get upgrade' suffis, mais ça n'as pas été le cas. Un lien vers la procédure de mise à jour mineur de WAPT server serais plus claire. ^^"

Finalement, je vois que sur le changelog vous parler de la 1.6.2.8, cependant j'ai beau refaire apt-get install, il me dis que je suis sur la dernière version.
root@wapt # apt-get install tis-waptserver tis-waptsetup
Reading package lists... Done
Building dependency tree
Reading state information... Done
tis-waptserver is already the newest version (1.6.2.7-tisdeb9-5538-962880c0).
tis-waptsetup is already the newest version (1.6.2.7-tisdeb9-5538-962880c0).
0 upgraded, 0 newly installed, 0 to remove and 5 not upgraded.
Ce qui voudrais dire que la 1.6.2.8 est publiée ailleurs ou bien une version Entreprise Only, encore une fois, la documentation est vague. Etant un client Community je ne suis pas prioritaire dans mes requètes, mais je ne demande rien si ce n'est une communication plus claire :)

En passant, la mise à jour de la DB, le version number de la DB n'est pas toujours identique a la version du serveur, est-ce grave? Devrions nous faire une commande pour le mettre à niveau? Rien a ce sujet non plus :/

PS : la recherche sur le forum est vraiment bancale quand j'ai cherché 'mise à jour serveur 1.6.2.8' :
Les mots suivants de votre recherche ont été ignorés parce qu’ils sont trop communs : mise jour serveur à 1 6 2 8.
Vous devez indiquer au moins un mot pour effectuer une recherche. Chaque mot doit être composé d’au moins 3 caractères et ne doit pas contenir plus de 14 caractères en excluant les jokers.
Renaud Counhaye
Technicien système réseaux
Central Functions Division
Ymagis Group
Image
Avatar de l’utilisateur
dcardon
Expert WAPT
Messages : 286
Inscription : 18 juin 2014 - 09:58
Localisation : Nantes
Contact :

25 oct. 2018 - 17:09

Bonjour renaud.counhaye,

renaud.counhaye a écrit :
25 oct. 2018 - 14:48
J'aimerais comprendre pourquoi la mise à jour serveur n'est pas si simple finalement.
Certe, tout est relatif.

renaud.counhaye a écrit :
25 oct. 2018 - 14:48
pourquoi ne pas ajouter définitivement le depot TranquilIT au debian ? Il me semble que ça le fait pas ici...
Si vous avez le status de mainteneur, vous pouvez vous en occuper.

renaud.counhaye a écrit :
25 oct. 2018 - 14:48
Ensuite vous écrivez :
Si vous upgradez votre distribution avec apt-get dist-upgrade, veillez à mettre à jour votre lsb_release dans /etc/apt/sources.list.d/wapt.list, (exemple : jessie -> stretch).
apt-get update apt-get install tis-waptserver tis-waptsetup
ce qui fait que la partie apt-get update apt-get install tis-waptserver tis-waptsetup est un peu "cachée" du reste.
En plus la syntaxe de la commande est incorrecte.... ça pousse a exécuter la commande entière, qui n'est pas correcte.
Faire un apt-get update et ensuite un apt-get upgrade serais plus logique, mais ici on parle de apt-get install (surement parce que le dépot TranquilIT de WAPT n'est pas dans la liste?)
Si vous aviez jeter un coup d'oeil au code source RST, vous auriez vu que c'était sur deux lignes. Il y a eu une erreur de formatage de présentation. C'est corrigé dans le git, le build devrait suivre bientôt. Merci pour la remarque, même si la formulation laisse un peu à désirer.

renaud.counhaye a écrit :
25 oct. 2018 - 14:48
(suis pas un Linuxiens non plus)
Pas de soucis, WAPT est une communauté tolérante et inclusive.

renaud.counhaye a écrit :
25 oct. 2018 - 14:48
Enfin j'étais précédement sur une version 1.5 et du update vers la 1.6, la documentation pour la mise à jour est manquante :
Mise à jour de 1.5 vers 1.6
La mise à jour s’effectue comme une mise à jour mineure.

Si vous êtes en Debian Jessie, il recommandé d’upgrader en Debian Strech. Cela est obligatoire pour la version Enterprise avec le support Windows Update. Lors de la mise à jour en Debian Stretch, la base PostgreSQL devra être montée de version en 9.6.
Aucune indiquation, ce qui porte a croire qu'un simple 'apt-get update, puis apt-get upgrade' suffis, mais ça n'as pas été le cas. Un lien vers la procédure de mise à jour mineur de WAPT server serais plus claire. ^^"
J'avoue ne pas avoir bien compris.

renaud.counhaye a écrit :
25 oct. 2018 - 14:48
Finalement, je vois que sur le changelog vous parler de la 1.6.2.8, cependant j'ai beau refaire apt-get install, il me dis que je suis sur la dernière version.
...
Ce qui voudrais dire que la 1.6.2.8 est publiée ailleurs ou bien une version Entreprise Only, encore une fois, la documentation est vague. Etant un client Community je ne suis pas prioritaire dans mes requètes, mais je ne demande rien si ce n'est une communication plus claire :)
Le code est à jour sur github. Vous pouvez tester la doc pour le build et faire des remarques constructives.

renaud.counhaye a écrit :
25 oct. 2018 - 14:48
En passant, la mise à jour de la DB, le version number de la DB n'est pas toujours identique a la version du serveur, est-ce grave? Devrions nous faire une commande pour le mettre à niveau? Rien a ce sujet non plus :/
Il est peut être temps pour vous de monter votre blog et d'y mentionner les détails que vous auriez aimer trouver. Personne n'est parfait, pas même les mainteneurs de WAPT.

renaud.counhaye a écrit :
25 oct. 2018 - 14:48
PS : la recherche sur le forum est vraiment bancale quand j'ai cherché 'mise à jour serveur 1.6.2.8' :
Les mots suivants de votre recherche ont été ignorés parce qu’ils sont trop communs : mise jour serveur à 1 6 2 8.
Vous devez indiquer au moins un mot pour effectuer une recherche. Chaque mot doit être composé d’au moins 3 caractères et ne doit pas contenir plus de 14 caractères en excluant les jokers.
Google est votre ami, le site est bien référencé.

Cordialement,

Denis

PS : par rapport au titre de votre billet, la doc n'est pas basé sur un wiki mais sur Sphinx / RST.
Denis Cardon - Tranquil IT Systems
Communiquez autour de vous sur WAPT! Envoyez nous vos url de blog et d'articles dans la catégorie votre avis du forum, nous les mettrons en avant sur le site WAPT
renaud.counhaye
Messages : 26
Inscription : 13 déc. 2017 - 11:45

26 oct. 2018 - 12:54

Bonjour Denis,

Merci pour toutes vos réponses et les petites corrections. Mes excuses si mon message a sembler expéditif ou méchant, loin de moi cette idée.
Pour ce qui est du blog, je ne pense pas avoir suffisement d'expérience avec votre système pour ça :mrgreen:

Pour la partie que vous n'avez pas très bien compris, je vois pourquoi, je ne suis pas claire non plus;
Je voulais dire : Le texte indique de faire la mise à jour comme une mise à jour mineure, ce qui pour un premier regard, pourrais être mal compris, alors je suggère juste d'ajouter un lien vers la procédure.

Je m'interresse de plus en plus a la version Entreprise en tout cas :D

Bonne journée à vous,
Renaud
Renaud Counhaye
Technicien système réseaux
Central Functions Division
Ymagis Group
Image
Répondre